package config

import (
	"fusenapi/server/auth/internal/types"

	"github.com/zeromicro/go-zero/rest"
)

type Config struct {
	rest.RestConf
	SourceMysql string
	Auth        types.Auth
	ReplicaId   uint64

	HomePage      string
	MainAddress   string
	WebsocketAddr string

	Debug struct {
		Password string
	}
	//   Password: "fusen-test-pwd"

	OAuth struct {
		Google struct {
			Appid  string
			Secret string
		}

		Facebook struct {
			Appid  string
			Secret string
		}
	}
}
