package gmodel

import (
	"gorm.io/gorm"
	"time"
)

// fs_contact 该表暂未使用
type FsContact struct {
	Id      int64      `gorm:"primary_key;default:0;auto_increment;" json:"id"` //
	Name    *string    `gorm:"default:'';" json:"name"`                         //
	Email   *string    `gorm:"index;default:'';" json:"email"`                  // 邮箱
	Subject *string    `gorm:"default:'0';" json:"subject"`                     // 主题
	Message *string    `gorm:"default:'';" json:"message"`                      // 消息
	Ctime   *time.Time `gorm:"default:'0000-00-00 00:00:00';" json:"ctime"`     //
	Status  *int64     `gorm:"default:0;" json:"status"`                        // 状态位 是否已处理
	Mark    *string    `gorm:"default:'';" json:"mark"`                         // 后台订单备注
	Phone   *string    `gorm:"default:'';" json:"phone"`                        //
}
type FsContactModel struct {
	db   *gorm.DB
	name string
}

func NewFsContactModel(db *gorm.DB) *FsContactModel {
	return &FsContactModel{db: db, name: "fs_contact"}
}
