package gmodel

import (
	"gorm.io/gorm"
)

// fs_logo_preprocess
type FsLogoPreprocess struct {
	RestaurantName *string `gorm:"index;default:'';" json:"restaurant_name"` // 餐厅名字
}
type FsLogoPreprocessModel struct {
	db   *gorm.DB
	name string
}

func NewFsLogoPreprocessModel(db *gorm.DB) *FsLogoPreprocessModel {
	return &FsLogoPreprocessModel{db: db, name: "fs_logo_preprocess"}
}
